librevenge::RVNGPresentationInterface Class Reference documentation

librevenge::RVNGPresentationInterface Class Referenceabstract

Interface for import of presentations. More...

`#include <RVNGPresentationInterface.h>`

Inheritance diagram for librevenge::RVNGPresentationInterface:

## Public Member Functions
virtual | ~RVNGPresentationInterface ()
virtual void | startDocument (const RVNGPropertyList &propList)=0
virtual void | endDocument ()=0
virtual void | setDocumentMetaData (const RVNGPropertyList &propList)=0
| Called when all document metadata should be set.
virtual void | defineEmbeddedFont (const RVNGPropertyList &propList)=0
| Called when an embedded font should be defined.
virtual void | startSlide (const RVNGPropertyList &propList)=0
virtual void | endSlide ()=0
virtual void | startMasterSlide (const RVNGPropertyList &propList)=0
virtual void | endMasterSlide ()=0
virtual void | setStyle (const RVNGPropertyList &propList)=0
virtual void | setSlideTransition (const RVNGPropertyList &propList)=0
| Called when a transition should be added to the current slide.
virtual void | startLayer (const RVNGPropertyList &propList)=0
virtual void | endLayer ()=0
virtual void | startEmbeddedGraphics (const RVNGPropertyList &propList)=0
virtual void | endEmbeddedGraphics ()=0
virtual void | openGroup (const RVNGPropertyList &propList)=0
virtual void | closeGroup ()=0
virtual void | drawRectangle (const RVNGPropertyList &propList)=0
virtual void | drawEllipse (const RVNGPropertyList &propList)=0
virtual void | drawPolygon (const RVNGPropertyList &propList)=0
virtual void | drawPolyline (const RVNGPropertyList &propList)=0
virtual void | drawPath (const RVNGPropertyList &propList)=0
virtual void | drawGraphicObject (const RVNGPropertyList &propList)=0
| Called when a binary/raster object should be inserted.
virtual void | drawConnector (const RVNGPropertyList &propList)=0
| Draw a connector.
virtual void | startTextObject (const RVNGPropertyList &propList)=0
| Start a text object.
virtual void | endTextObject ()=0
| End a text object.
virtual void | insertTab ()=0
| Called when a TAB character should be inserted.
virtual void | insertSpace ()=0
| Called when an explicit space should be inserted.
virtual void | insertText (const RVNGString &text)=0
| Called when a string of text should be inserted.
virtual void | insertLineBreak ()=0
| Called when a line break should be inserted.
virtual void | insertField (const RVNGPropertyList &propList)=0
| Called when a field should be inserted.
virtual void | openOrderedListLevel (const RVNGPropertyList &propList)=0
| Called when a new ordered list level should be opened.
virtual void | openUnorderedListLevel (const RVNGPropertyList &propList)=0
| Called when a new unordered list level should be opened.
virtual void | closeOrderedListLevel ()=0
| Called when an unordered list level should be closed.
virtual void | closeUnorderedListLevel ()=0
| Called when an ununordered list level should be closed.
virtual void | openListElement (const RVNGPropertyList &propList)=0
| Called when a list element should be opened.
virtual void | closeListElement ()=0
| Called when a list element should be closed.
virtual void | defineParagraphStyle (const RVNGPropertyList &propList)=0
virtual void | openParagraph (const RVNGPropertyList &propList)=0
| Called when a new paragraph is opened.
virtual void | closeParagraph ()=0
| Called when a paragraph is closed.
virtual void | defineCharacterStyle (const RVNGPropertyList &propList)=0
virtual void | openSpan (const RVNGPropertyList &propList)=0
| Called when a text span is opened.
virtual void | closeSpan ()=0
| Called when a text span is closed.
virtual void | openLink (const RVNGPropertyList &propList)=0
| Called when a link should be opened.
virtual void | closeLink ()=0
| Called when the current link is closed.
virtual void | startTableObject (const RVNGPropertyList &propList)=0
| Called when a table should be opened.
virtual void | openTableRow (const RVNGPropertyList &propList)=0
| Called when a new table row is opened.
virtual void | closeTableRow ()=0
| Called when the current table row is closed.
virtual void | openTableCell (const RVNGPropertyList &propList)=0
| Called when a new table cell is opened.
virtual void | closeTableCell ()=0
| Called when the current table cell is closed.
virtual void | insertCoveredTableCell (const RVNGPropertyList &propList)=0
| Called when a covered (spanned by another cell in the table) table cell is opened.
virtual void | endTableObject ()=0
| Called when the current table is closed.
virtual void | startComment (const RVNGPropertyList &propList)=0
| Start a comment.
virtual void | endComment ()=0
| End a comment.
virtual void | startNotes (const RVNGPropertyList &propList)=0
| Start slide notes.
virtual void | endNotes ()=0
| End slide notes.
virtual void | defineChartStyle (const RVNGPropertyList &propList)=0
virtual void | openChart (const RVNGPropertyList &propList)=0
| Called when a chart should be opened.
virtual void | closeChart ()=0
| Called when a chart should be closed.
virtual void | openChartTextObject (const RVNGPropertyList &propList)=0
| Called when a chart text zone:label/legend/title/subtitle/footer should be opened.
virtual void | closeChartTextObject ()=0
| Called when a chart text zone:legend/title/subtitle/footer should be closed.
virtual void | openChartPlotArea (const RVNGPropertyList &propList)=0
| Called when a chart plot area should be opened.
virtual void | closeChartPlotArea ()=0
| Called when a chart plot arre should be closed.
virtual void | insertChartAxis (const RVNGPropertyList &propList)=0
| Called when a axis should be add in a plot area.
virtual void | openChartSeries (const librevenge::RVNGPropertyList &propList)=0
| Called when a serie should be opened (in a plot area).
virtual void | closeChartSeries ()=0
| Called when a serie should be closed (in a plot area).
virtual void | openAnimationSequence (const RVNGPropertyList &propList)=0
| Called when a set of animations should be applied one after another.
virtual void | closeAnimationSequence ()=0
virtual void | openAnimationGroup (const RVNGPropertyList &propList)=0
| Called when a set of animations should be applied in parallel.
virtual void | closeAnimationGroup ()=0
virtual void | openAnimationIteration (const RVNGPropertyList &propList)=0
virtual void | closeAnimationIteration ()=0
virtual void | insertMotionAnimation (const RVNGPropertyList &propList)=0
| Insert an animation that moves the target object along a specified path.
virtual void | insertColorAnimation (const RVNGPropertyList &propList)=0
| Insert an animation that changes color of the target object.
virtual void | insertAnimation (const RVNGPropertyList &propList)=0
| Insert a generic animation.
virtual void | insertEffect (const RVNGPropertyList &propList)=0
| Set one-time animation effect on the target object.

## Detailed Description

Interface for import of presentations.

## Constructor & Destructor Documentation

## ◆ ~RVNGPresentationInterface()

virtual librevenge::RVNGPresentationInterface::~RVNGPresentationInterface | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ closeAnimationGroup()

virtual void librevenge::RVNGPresentationInterface::closeAnimationGroup | ( |  | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ closeAnimationIteration()

virtual void librevenge::RVNGPresentationInterface::closeAnimationIteration | ( |  | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ closeAnimationSequence()

virtual void librevenge::RVNGPresentationInterface::closeAnimationSequence | ( |  | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ closeChart()

virtual void librevenge::RVNGPresentationInterface::closeChart | ( |  | ) |
| pure virtual

Called when a chart should be closed.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ closeChartPlotArea()

virtual void librevenge::RVNGPresentationInterface::closeChartPlotArea | ( |  | ) |
| pure virtual

Called when a chart plot arre should be closed.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ closeChartSeries()

virtual void librevenge::RVNGPresentationInterface::closeChartSeries | ( |  | ) |
| pure virtual

Called when a serie should be closed (in a plot area).

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ closeChartTextObject()

virtual void librevenge::RVNGPresentationInterface::closeChartTextObject | ( |  | ) |
| pure virtual

Called when a chart text zone:legend/title/subtitle/footer should be closed.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ closeGroup()

virtual void librevenge::RVNGPresentationInterface::closeGroup | ( |  | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ closeLink()

virtual void librevenge::RVNGPresentationInterface::closeLink | ( |  | ) |
| pure virtual

Called when the current link is closed.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ closeListElement()

virtual void librevenge::RVNGPresentationInterface::closeListElement | ( |  | ) |
| pure virtual

Called when a list element should be closed.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ closeOrderedListLevel()

virtual void librevenge::RVNGPresentationInterface::closeOrderedListLevel | ( |  | ) |
| pure virtual

Called when an unordered list level should be closed.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ closeParagraph()

virtual void librevenge::RVNGPresentationInterface::closeParagraph | ( |  | ) |
| pure virtual

Called when a paragraph is closed.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ closeSpan()

virtual void librevenge::RVNGPresentationInterface::closeSpan | ( |  | ) |
| pure virtual

Called when a text span is closed.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ closeTableCell()

virtual void librevenge::RVNGPresentationInterface::closeTableCell | ( |  | ) |
| pure virtual

Called when the current table cell is closed.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ closeTableRow()

virtual void librevenge::RVNGPresentationInterface::closeTableRow | ( |  | ) |
| pure virtual

Called when the current table row is closed.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ closeUnorderedListLevel()

virtual void librevenge::RVNGPresentationInterface::closeUnorderedListLevel | ( |  | ) |
| pure virtual

Called when an ununordered list level should be closed.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ defineCharacterStyle()

virtual void librevenge::RVNGPresentationInterface::defineCharacterStyle | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ defineChartStyle()

virtual void librevenge::RVNGPresentationInterface::defineChartStyle | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ defineEmbeddedFont()

virtual void librevenge::RVNGPresentationInterface::defineEmbeddedFont | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when an embedded font should be defined.

Parameters

  propList | A set of properties that specify the font. May contain: `librevenge:name` The name of the font `librevenge:mime-type` The mimetype of the font `office:binary-data` The font data `librevenge:replacement-objects` A property list vector containing alternative formats of the font. Every element is a property list containing: `librevenge:mime-type` The mimetype of the replacement object `office:binary-data` The replacement object data

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ defineParagraphStyle()

virtual void librevenge::RVNGPresentationInterface::defineParagraphStyle | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ drawConnector()

virtual void librevenge::RVNGPresentationInterface::drawConnector | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Draw a connector.

The connector will be typically between two shapes, but free-standing connectors are allowed too.

Parameters

  propList | Defines a set of properties for the object. May contain: `draw:end-shape` The `ID` of the shape attached at the end. Should not be present if the connector's end is not attached to any object. `draw:start-shape` The `ID` of the shape attached at the beginning. Should not be present if the connector's start is not attached to any object. `svg:d` The connector's geometric path. This is optional; if missing, the consumer is free to render it any way it likes. `svg:x1` The `X` coordinate of the start point. `svg:y1` The `Y` coordinate of the start point. `svg:x2` The `X` coordinate of the end point. `svg:y2` The `Y` coordinate of the end point.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ drawEllipse()

virtual void librevenge::RVNGPresentationInterface::drawEllipse | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ drawGraphicObject()

virtual void librevenge::RVNGPresentationInterface::drawGraphicObject | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a binary/raster object should be inserted.

Parameters

  propList | Defines a set of properties for the object. May contain: `librevenge:mime-type` The mimetype of the object `office:binary-data` The object data `librevenge:replacement-objects` A property list vector containing alternative representations of the content. Every element is a property list containing: `librevenge:mime-type` The mimetype of the replacement object `office:binary-data` The replacement object data `librevenge:replacement-text` A string containing a text representation of the content.

Note
  to insert a MathMl file, set the mimetype value to "application/mathml-presentation+xml" or "application/mathml+xml".

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ drawPath()

virtual void librevenge::RVNGPresentationInterface::drawPath | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ drawPolygon()

virtual void librevenge::RVNGPresentationInterface::drawPolygon | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ drawPolyline()

virtual void librevenge::RVNGPresentationInterface::drawPolyline | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ drawRectangle()

virtual void librevenge::RVNGPresentationInterface::drawRectangle | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ endComment()

virtual void librevenge::RVNGPresentationInterface::endComment | ( |  | ) |
| pure virtual

End a comment.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ endDocument()

virtual void librevenge::RVNGPresentationInterface::endDocument | ( |  | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ endEmbeddedGraphics()

virtual void librevenge::RVNGPresentationInterface::endEmbeddedGraphics | ( |  | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ endLayer()

virtual void librevenge::RVNGPresentationInterface::endLayer | ( |  | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ endMasterSlide()

virtual void librevenge::RVNGPresentationInterface::endMasterSlide | ( |  | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ endNotes()

virtual void librevenge::RVNGPresentationInterface::endNotes | ( |  | ) |
| pure virtual

End slide notes.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ endSlide()

virtual void librevenge::RVNGPresentationInterface::endSlide | ( |  | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ endTableObject()

virtual void librevenge::RVNGPresentationInterface::endTableObject | ( |  | ) |
| pure virtual

Called when the current table is closed.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ endTextObject()

virtual void librevenge::RVNGPresentationInterface::endTextObject | ( |  | ) |
| pure virtual

End a text object.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ insertAnimation()

virtual void librevenge::RVNGPresentationInterface::insertAnimation | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Insert a generic animation.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ insertChartAxis()

virtual void librevenge::RVNGPresentationInterface::insertChartAxis | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a axis should be add in a plot area.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ insertColorAnimation()

virtual void librevenge::RVNGPresentationInterface::insertColorAnimation | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Insert an animation that changes color of the target object.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ insertCoveredTableCell()

virtual void librevenge::RVNGPresentationInterface::insertCoveredTableCell | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a covered (spanned by another cell in the table) table cell is opened.

Parameters

  propList | Property list for the table cell. May contain: `librevenge:column` Number of the column in which the cell is positioned `librevenge:row` Number of the row in which the cell is positioned

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ insertEffect()

virtual void librevenge::RVNGPresentationInterface::insertEffect | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Set one-time animation effect on the target object.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ insertField()

virtual void librevenge::RVNGPresentationInterface::insertField | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a field should be inserted.

Field types may include:

- `librevenge:field-type` field types may include:
  1. `text:page-number` Current page number
  2. `text:page-count` Total # of pages in document
- `style:num-format` Type of page number (for page number)

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ insertLineBreak()

virtual void librevenge::RVNGPresentationInterface::insertLineBreak | ( |  | ) |
| pure virtual

Called when a line break should be inserted.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ insertMotionAnimation()

virtual void librevenge::RVNGPresentationInterface::insertMotionAnimation | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Insert an animation that moves the target object along a specified path.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ insertSpace()

virtual void librevenge::RVNGPresentationInterface::insertSpace | ( |  | ) |
| pure virtual

Called when an explicit space should be inserted.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ insertTab()

virtual void librevenge::RVNGPresentationInterface::insertTab | ( |  | ) |
| pure virtual

Called when a TAB character should be inserted.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ insertText()

virtual void librevenge::RVNGPresentationInterface::insertText | ( | const RVNGString & | text | ) |
| pure virtual

Called when a string of text should be inserted.

Parameters

  text | A textbuffer encoded as a UTF8 string

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ openAnimationGroup()

virtual void librevenge::RVNGPresentationInterface::openAnimationGroup | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a set of animations should be applied in parallel.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ openAnimationIteration()

virtual void librevenge::RVNGPresentationInterface::openAnimationIteration | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ openAnimationSequence()

virtual void librevenge::RVNGPresentationInterface::openAnimationSequence | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a set of animations should be applied one after another.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ openChart()

virtual void librevenge::RVNGPresentationInterface::openChart | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a chart should be opened.

Parameters

  propList | Property list for the sheet. May contain: `librevenge:name` Determines the sheet name

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ openChartPlotArea()

virtual void librevenge::RVNGPresentationInterface::openChartPlotArea | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a chart plot area should be opened.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ openChartSeries()

virtual void librevenge::RVNGPresentationInterface::openChartSeries | ( | const librevenge::RVNGPropertyList & | propList | ) |
| pure virtual

Called when a serie should be opened (in a plot area).

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ openChartTextObject()

virtual void librevenge::RVNGPresentationInterface::openChartTextObject | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a chart text zone:label/legend/title/subtitle/footer should be opened.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ openGroup()

virtual void librevenge::RVNGPresentationInterface::openGroup | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ openLink()

virtual void librevenge::RVNGPresentationInterface::openLink | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a link should be opened.

Parameters

  propList | Defines a set of properties for the link. May contain: `xlink:type` . `xlink:href` .

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ openListElement()

virtual void librevenge::RVNGPresentationInterface::openListElement | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a list element should be opened.

Parameters

  propList | Property list for the paragraph. May contain: `fo:text-align` The justification of this paragraph (left, center, end, full, or justify) `fo:margin-left` The left indentation of this paragraph, in inches `fo:margin-right` The right indentation of this paragraph, in inches `fo:margin-top` The amount of extra spacing to be placed before the paragraph, in inches `fo:margin-bottom` The amount of extra spacing to be placed after the paragraph, in inches `fo:text-indent` The indentation of first line, in inches (difference relative to margin-left) `fo:line-height` The amount of spacing between lines, in number of lines (1.0 is single spacing) `fo:break-before` Whether this paragraph should be placed in a new column or page (the value is set to column or page if so) `librevenge:tab-stops` List of tabstop definitions for the paragraph. If the list is empty, default tabstop definition should be used. Each tab stop may contain: `style:type` Type of tab (left, right, center, or char) `style:char` Alingnment character for char aligned tabs `style:leader-text` The leader character `style:position` Position of the tab

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ openOrderedListLevel()

virtual void librevenge::RVNGPresentationInterface::openOrderedListLevel | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a new ordered list level should be opened.

Parameters

  propList | Defines a set of properties for the list. May contain: `librevenge:list-id` A unique integer identifier for the list `librevenge:level` The level of the list in the hierarchy `style:num-format` Type of list `style:num-prefix` Text that comes before the number in the list `style:num-suffix` Text that comes after the number in the list `text:start-value` The starting number of the list `text:min-label-width` The distance between the list label and the actual text, stored in inches `text:space-before` The indentation level of the lists, stored in inches

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ openParagraph()

virtual void librevenge::RVNGPresentationInterface::openParagraph | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a new paragraph is opened.

This (or openListElement) will always be called before any text or span is placed into the document.

Parameters

  propList | Property list for the paragraph. May contain: `fo:text-align` The justification of this paragraph (left, center, end, full, or justify) `fo:margin-left` The left indentation of this paragraph, in inches `fo:margin-right` The right indentation of this paragraph, in inches `fo:margin-top` The amount of extra spacing to be placed before the paragraph, in inches `fo:margin-bottom` The amount of extra spacing to be placed after the paragraph, in inches `fo:text-indent` The indentation of first line, in inches (difference relative to margin-left) `fo:line-height` The amount of spacing between lines, in number of lines (1.0 is single spacing) `fo:break-before` Whether this paragraph should be placed in a new column or page (the value is set to column or page if so) `librevenge:tab-stops` List of tabstop definitions for the paragraph. If the list is empty, default tabstop definition should be used. Each tab stop may contain: `style:type` Type of tab (left, right, center, or char) `style:char` Alingnment character for char aligned tabs `style:leader-text` The leader character `style:position` Position of the tab

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ openSpan()

virtual void librevenge::RVNGPresentationInterface::openSpan | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a text span is opened.

Parameters

  propList | Property list for the span. May contain: `fo:font-style` Font style (italic or normal) `fo:font-weight` Font style (bold or normal) `style:text-line-through-type` (none, double or single, if present) `style:text-line-through-style` (solid, dotted, dash, long-dash, dot-dash, dot-dot-dash or wave, if present) `style:text-underline-type` (none, double or single, if present) `style:text-underline-style` (solid, dotted, dash, long-dash, dot-dash, dot-dot-dash or wave, if present) `style:text-outline` (true or false) `fo:font-variant` (small-caps, if present) `style:font-name` The name of the font used in the span, a text string in ascii `fo:font-size` The size of the font used in the span, in points (72 points per inch) `fo:color` The color of the font used in the span (encoded in hex: #RRGGBB) `fo:background-color` The background color of the text in the span (encoded in hex: #RRGGBB) `style:text-blinking` Whether the text should blink (true or false) `fo:text-shadow\n` `fo:language\n` \ The language of the text in the span, a valid language code according to ISO 639

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ openTableCell()

virtual void librevenge::RVNGPresentationInterface::openTableCell | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a new table cell is opened.

Parameters

  propList | Property list for the table cell. May contain: `librevenge:column` Number of the column in which the cell is positioned `librevenge:row` Number of the row in which the cell is positioned `table:number-columns-spanned` Number of columns that the cell spans `table:number-rows-spanned` Number of rows that the cell spans `fo:border-left` Properties of the left border of the cell `fo:border-right` Properties of the right border of the cell `fo:border-top` Properties of the top border of the cell `fo:border-bottom` Properties of the bottom border of the cell `fo:background-color` Color of the cell (encoded in hex: #RRGGBB) `style:vertical-align` Vertical alignment of the content in the cell (top, middle, or bottom)

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ openTableRow()

virtual void librevenge::RVNGPresentationInterface::openTableRow | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a new table row is opened.

Parameters

  propList | Defines a set of properties for the table row. May contain: `style:row-height` The row's height, in inches `style:min-row-height` The row's minimum height, in inches `librevenge:is-header-row` This row contains headings of columns and should repeat at every page (for tables that span several pages)

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ openUnorderedListLevel()

virtual void librevenge::RVNGPresentationInterface::openUnorderedListLevel | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a new unordered list level should be opened.

Parameters

  propList | Defines a set of properties for the list level. May contain: `librevenge:list-id` A unique integer identifier for the list `librevenge:level` The level of the list in the hierarchy `text:bullet-char` The string that should be used as a bullet `text:min-label-width` The distance between the bullet and the actual text, stored in inches `text:space-before` The indentation level of the lists, stored in inches

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ setDocumentMetaData()

virtual void librevenge::RVNGPresentationInterface::setDocumentMetaData | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when all document metadata should be set.

This is always the first callback made.

Parameters

  propList | Property list for the metadata. May contain: `dc:creator` `dc:language` The document's keywords `dc:publisher` The document's publisher `dc:source` `dc:subject` The document's subject `dc:type` The document's type `dcterms:available` Date when the document was completed `dcterms:issued:` Date of the version of the document `librevenge:abstract` Abstract of the document's contents `librevenge:account` Account `librevenge:address` Address `librevenge:attachments` `librevenge:authorization` `librevenge:bill-to` `librevenge:blind-copy` `librevenge:carbon-copy` `librevenge:checked-by` `librevenge:client` `librevenge:comments` `librevenge:department` `librevenge:descriptive-name` The descriptive name for the document `librevenge:descriptive-type` The descriptive type for the document `librevenge:destination` `librevenge:disposition` `librevenge:division` `librevenge:document-number` `librevenge:editor` `librevenge:forward-to` `librevenge:group` `librevenge:mail-stop` `librevenge:matter` `librevenge:office` `librevenge:owner` `librevenge:project` `librevenge:purpose` `librevenge:received-from` `librevenge:recorded-by` `librevenge:recorded-date` Date when the document was recorded `librevenge:reference` `librevenge:revision-notes` `librevenge:revision-number` `librevenge:section` `librevenge:security` `librevenge:status` `librevenge:telephone-number` `librevenge:version-notes` `librevenge:version-number` `meta:creation-date` Document creation date `meta:initial-creator` The document's author `meta:keyword` The document's keywords ``

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ setSlideTransition()

virtual void librevenge::RVNGPresentationInterface::setSlideTransition | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a transition should be added to the current slide.

Parameters

  propList | Property list for the metadata. May contain: `smil:type` Type of the transition. `smil:subtype` Subtype of the transition. `smil:dur` Duration of the transition. `smil:startProgress` The amount of progress through the transition at which to begin execution. Value must be in the range [0.0, 1.0]. `smil:endProgress` The amount of progress through the transition at which to end execution. Value must be in the range [0.0, 1.0].

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ setStyle()

virtual void librevenge::RVNGPresentationInterface::setStyle | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ startComment()

virtual void librevenge::RVNGPresentationInterface::startComment | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Start a comment.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ startDocument()

virtual void librevenge::RVNGPresentationInterface::startDocument | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ startEmbeddedGraphics()

virtual void librevenge::RVNGPresentationInterface::startEmbeddedGraphics | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ startLayer()

virtual void librevenge::RVNGPresentationInterface::startLayer | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ startMasterSlide()

virtual void librevenge::RVNGPresentationInterface::startMasterSlide | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ startNotes()

virtual void librevenge::RVNGPresentationInterface::startNotes | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Start slide notes.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ startSlide()

virtual void librevenge::RVNGPresentationInterface::startSlide | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ startTableObject()

virtual void librevenge::RVNGPresentationInterface::startTableObject | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a table should be opened.

Parameters

  propList | Defines a set of properties for the table. May contain: `table:align` The alignment (left, right, center, or margins) `fo:margin-left` The left indentation of the table, in inches `fo:margin-right` The right indentation of the table, in inches `style:width` Total width of the table, in inches `fo:break-before` Whether this table should be placed in a new column or page (the value is set to column or page if so) `librevenge:table-columns` Column definitions for the table. May contain `style:column-width` Width of a column, in inches

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

## ◆ startTextObject()

virtual void librevenge::RVNGPresentationInterface::startTextObject | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Start a text object.

Implemented in librevenge::RVNGDummyPresentationGenerator, librevenge::RVNGRawPresentationGenerator, librevenge::RVNGSVGPresentationGenerator, and librevenge::RVNGTextPresentationGenerator.

The documentation for this class was generated from the following file:

- RVNGPresentationInterface.h